.main-collection-container {
  display: block;
  background-color: rgb(var(--color-background));
}

.main-collection {
  padding-block: 40px;
}

.main-collection__no-products-tips {
  color: rgb(var(--color-text));
}

.main-collection__list {
  margin-block-end: 40px;
  overflow: visible;
}

@media (max-width: 959px) {
  .main-collection__list {
    margin-block-end: 20px;
  }
}

@media (max-width: 959px) {
  .main-collection {
    padding-block: 0 20px;
  }
}

@media (min-width: 960px) {
  .main-collection {
    display: grid;
  }

  .main-collection .main-collection__products {
    grid-area: list;
  }

  .main-collection .facets-filtering {
    grid-area: filtering;
  }

  .main-collection .facets-sorting-wrapper {
    grid-area: sorting;
  }

  .main-collection.facets-layout-horizontal {
    grid-template:
      "filtering sorting"
      "list list"
      / 1fr auto;
    row-gap: 8px;
  }

  .main-collection.facets-layout-vertical {
    grid-template:
      "sorting sorting"
      "list list"
      / 256px auto;
  }

  .main-collection.facets-layout-vertical.enable-filtering {
    grid-template:
      "filtering sorting" auto
      "filtering list" 1fr
      / 256px auto;
    column-gap: 22px;
  }

  .main-collection.facets-layout-drawer {
    grid-template:
      "filtering sorting"
      "list list"
      / 1fr auto;
    row-gap: 8px;
  }
}


.faq-collapse-panel {
  display: block;
  width: 100%;
  border-block-start: 1px solid rgba(var(--color-text), 0.08);
}

.faq-collapse-panel summary + * {
  overflow: hidden;
}

.faq-collapse-panel summary {
  position: relative;
  display: flex;
  gap: 20px;
  align-items: center;
  padding: 20px 0;
}

@media (max-width: 959px) {
  .faq-collapse-panel summary {
    padding: 12px 0;
  }
}

.faq-collapse-panel__title {
  display: flex;
  flex: 1;
  align-items: center;
  font-size: var(--body1-font-size);
}

.faq-collapse-panel__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  overflow: hidden;
}

.faq-collapse-panel__icon svg {
  color: rgb(var(--color-text));
}

.faq-collapse-panel__fold {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 34px;
  height: 34px;
  margin: auto;
  overflow: hidden;
  border: 1px solid rgba(var(--color-text), 0.1);
  border-radius: 50%;
}

.faq-collapse-panel details {
  flex: 1;
}

details .faq-collapse-panel__fold.open {
  display: flex;
}

details[open] .faq-collapse-panel__fold.open {
  display: none;
}

details .faq-collapse-panel__fold.close {
  display: none;
}

details[open] .faq-collapse-panel__fold.close {
  display: flex;
}

.faq-collapse-panel__collapse {
  --animation-expand-duration: 360ms;
  --animation-collapse-duration: 160ms;

  max-height: 0;
  overflow: hidden;
  animation: animation-faq-content-collapse var(--animation-collapse-duration)
    ease-in-out forwards;
}

details[open] + .faq-collapse-panel__collapse {
  max-height: none;
  animation: animation-faq-content-expand var(--animation-expand-duration)
    ease-in none;
}

.faq-collapse-panel__content {
  padding: 0 6px;
  padding-block-end: 1px;
  margin-block-end: 20px;
  overflow-x: auto;
  word-break: break-word;
  opacity: 0;
  transition:
    transform var(--animation-collapse-duration) ease-in
      var(--animation-expand-duration),
    opacity var(--animation-expand-duration) ease-in;
  transform: translateY(10px);
}

details[open] + .faq-collapse-panel__collapse > .faq-collapse-panel__content {
  opacity: 1;
  transition:
    transform var(--animation-expand-duration) ease-out,
    opacity var(--animation-expand-duration) ease-out 20ms;
  transform: translateY(0);
}
